# SpotService.SpotSceneMoveListener (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.spot.client
Interface SpotService.SpotSceneMoveListener

All Superinterfaces:
  com.threerings.presents.client.InvocationService.InvocationListener, SceneService.SceneMoveListener

All Known Implementing Classes:
  SpotMarshaller.SpotSceneMoveMarshaller

Enclosing interface:
  SpotService

    public static interface SpotService.SpotSceneMoveListener

extends SceneService.SceneMoveListener

Used to communicate the response to a `SceneService.moveTo(int, int, com.threerings.whirled.client.SceneService.SceneMoveListener)` request.

Method Summary
`void` `requestCancelled()` The request is not going through because it was cancelled due to some other action.

Methods inherited from interface com.threerings.whirled.client.SceneService.SceneMoveListener
`moveRequiresServerSwitch, moveSucceeded, moveSucceededWithScene, moveSucceededWithUpdates`

Methods inherited from interface com.threerings.presents.client.InvocationService.InvocationListener
`requestFailed`

Method Detail

### requestCancelled

    void requestCancelled()

  The request is not going through because it was cancelled due to some other action.

Copyright © 2011. All Rights Reserved.